<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>My Event</title>
    <link rel='stylesheet' href='/webjars/bootstrap/3.3.7-1/css/bootstrap.min.css'>
    <link rel='stylesheet' href='/webjars/angular-input-stars/1.6.3/angular-input-stars.css'>
    <link rel='stylesheet' href='/webjars/font-awesome/4.6.3/css/font-awesome.min.css'>
    <link href="https://fonts.googleapis.com/css?family=Lobster|Open+Sans+Condensed:300|Roboto:500" rel="stylesheet">
    <link rel='stylesheet' href='app.css'>
    <style type="text/css">
    [ng\:cloak], [ng-cloak], .ng-cloak {
      display: none !important;
    }
    </style>
</head>

<body ng-app="myevent">
<div class="container">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <div class="page-header">
                <h1><i class="fa fa-event" aria-hidden="true"></i> My Event</h1>
                
            </div>

            <div ng-controller="EventsController as events" ng-cloak class="ng-cloak">
                <div class="" ng-hide="events.events.length">Aucun Event trouvé</div>
             
               <!-- [PHS] adding new input to search by bands-->
      			<input type="input" class="form-control" placeholder="Search for..." ng-model="text" ng-blur="events.getEventsWithFilter(this)" id="ng-change-brand" />

                <div class="media" ng-repeat="event in events.events track by event.id">
                    <div class="media-left">
                        <a href="#">
                            <img class="media-object" ng-src="{{event.imgUrl}}">
                        </a>
                    </div>
                    <div class="media-body">
                        <h4 class="event media-heading">{{event.title}} [{{event.bands.length}}]</h4>
                        <div>
                            <span ng-repeat="band in event.bands">{{band.name}} [{{band.members.length}}] {{$last ? '' : ', '}}</span>
                        </div>
                        <div>
                            <input-stars max="5" ng-model="event.nbStars" ng-change="events.updateStars(event)"></input-stars>
                        </div>
                        <form>
                            <textarea placeholder="Ajouter un commentaire" ng-model="event.comment" ng-model-options="{ debounce: 1000 }" ng-change="events.updateStars(event)" class="form-control" rows="3"></textarea>
                        </form>
                        <div class="pull-right">
                            <button ng-click="events.deleteEvent(event)" type="button" class="btn btn-danger"><i class="fa fa-trash" aria-hidden="true"></i></button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="/webjars/angularjs/1.5.8/angular.min.js" type="text/javascript"></script>
<script src="/webjars/angular-input-stars/1.6.3/angular-input-stars.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
</body>
</html>